
Partial Class DownloadCart
    Inherits System.Web.UI.Page
    Private Function WriteURL2HTML(ByVal sURL As String) As String
        '*****************************************************************
        'Copyright © 2006 ESRI. All Rights Reserved.
        '*****************************************************************
        'Description: write efid to the page
        'History: z.ye @1/27/2006 1:31:39 PM
        '*****************************************************************
        Dim ds As Long = Date.Now.Ticks
        Dim sb As New System.Text.StringBuilder
    sb.Append((ControlChars.Lf & "<script language=""javascript"">" & ControlChars.Lf))
        sb.Append("var sURL='" & sURL & "';" & ControlChars.Lf)
        sb.Append(("</script>" & ControlChars.Lf))
        Return sb.ToString
    End Function


    Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender

        Dim s As String = ""

        Try
            'Dim outPath As String = Server.MapPath("dboutput\" + Session.SessionID + "MyDB.mdb")

      'si = WebUserSession.SessionInfoGet
      s = WriteURL2HTML("dboutput/" + Session.SessionID + "MyCart.zip")
      's = WriteURL2HTML("http://" + Server.MachineName + "/" + ApSConfigAHS.AppName + "/dboutput/" + Session.SessionID + "MyCart.zip")
            'HyperLink1.NavigateUrl = si.DownloadURL

        Catch ex As Exception

        End Try
        Page.Response.Write(s)
    End Sub
End Class
